]> git.sesse.net Git - vlc/blobdiff - Makefile.am
add comments to profiles
[vlc] / Makefile.am
index a351c84a6ec094c603e6df0851ffd8a7d781f6ad..de908dd5fd88faa3b9251d60f58bc32cebebb521 100644 (file)
@@ -7,9 +7,9 @@
 # which have makefiles with distribution information.
 #  - src (libvlc) is nedeed by modules, mozilla and bindings
 #  - libs/* are needed by modules
-BASE_SUBDIRS = po src modules share doc test
+BASE_SUBDIRS = po src bin modules share doc test
 EXTRA_SUBDIRS = m4 extras/package/ipkg \
-       libs/loader libs/srtp \
+       libs/loader libs/srtp libs/unzip \
        projects/mozilla projects/activex
 DIST_SUBDIRS = $(BASE_SUBDIRS) $(EXTRA_SUBDIRS)
 
@@ -20,6 +20,14 @@ endif
 if HAVE_LIBGCRYPT
 SUBDIRS += libs/srtp
 endif
+if HAVE_ZLIB
+if !HAVE_MINIZIP
+SUBDIRS += libs/unzip
+endif
+endif
+if BUILD_VLC
+SUBDIRS += bin
+endif
 SUBDIRS += modules share doc test
 if BUILD_MOZILLA
 SUBDIRS += projects/mozilla
@@ -33,17 +41,21 @@ EXTRA_DIST = \
        INSTALL.win32 \
        INSTALL.wince \
        extras/package/win32/vlc.exe.manifest \
+       extras/package/win32/libvlc.dll.manifest \
        MAINTAINERS \
        extras/package/macosx/README.MacOSX.rtf \
        vlc-config.in.in \
        extras/package/rpm/vlc.fedora.spec \
-       extras/package/rpm/vlc.mandriva.spec \
        extras/package/rpm/vlc.altlinux.spec \
-       extras/package/win32/vlc.win32.nsi.in
+       extras/package/win32/vlc.win32.nsi.in \
+       extras/package/win32/languages/declaration.nsh \
+       extras/package/win32/languages/english.nsh \
+       extras/package/win32/languages/french.nsh
 
 dist_noinst_SCRIPTS = bootstrap toolbox
+nodist_noinst_SCRIPTS = compile
 
-BUILT_SOURCES_distclean = vlc-config compile extras/package/win32/vlc.win32.nsi
+BUILT_SOURCES_distclean = vlc-config extras/package/win32/vlc.win32.nsi
 if HAVE_DARWIN
 BUILT_SOURCES_clean = macosx-sdk
 else
@@ -59,6 +71,7 @@ DISTCHECK_CONFIGURE_FLAGS = \
        --disable-dbus \
        --disable-dvd --disable-mad --disable-libmpeg2 \
        --disable-ffmpeg --disable-faad --disable-wxwidgets --disable-skins2 \
+       --disable-live555 \
        --disable-fribidi --disable-glx
 
 ACLOCAL_AMFLAGS = -I m4
@@ -73,7 +86,7 @@ AUTOMAKE_OPTIONS = \
 ChangeLog: Makefile.am
        rm -f -- "$@"
        cd doc && $(MAKE) $(AM_MAKEFLAGS) changelogs
-       ln -sf doc/ChangeLog-2008 "$@"
+       ln -sf doc/ChangeLog-2009 "$@"
 
 ###############################################################################
 # MacOS X project
@@ -259,7 +272,6 @@ EXTRA_DIST += \
        extras/package/macosx/plugin/InstallerInfo.plist.in \
        extras/package/macosx/plugin/InstallerDescription.plist \
        extras/package/macosx/plugin/pbdevelopment.plist \
-       extras/package/macosx/plugin/English.lproj/InfoPlist.strings.in \
        extras/package/macosx/eyetvplugin/EyeTVPluginDefs.h \
        extras/package/macosx/eyetvplugin/Info.plist \
        extras/package/macosx/eyetvplugin/eyetvplugin.c \
@@ -307,12 +319,15 @@ DISTCLEANFILES = $(BUILT_SOURCES_distclean) vlc-config.in compile ChangeLog
 # Don't use it if you don't know what it is about.
 # Don't complain if it doesn't work. -- Courmisch
 libvlc:
-       cd src && $(MAKE) $(AM_MAKEFLAGS) libvlccore.la
+       cd src && $(MAKE) $(AM_MAKEFLAGS) libvlc.la
+
+core: libvlc
+       cd bin && $(MAKE) $(AM_MAKEFLAGS) vlc$(EXEEXT)
 
-core:
-       cd src && $(MAKE) $(AM_MAKEFLAGS) vlc$(EXEEXT)
+doc:
+       cd doc && $(MAKE) $(AM_MAKEFLAGS) doc
 
-.PHONY: libvlc core
+.PHONY: libvlc core doc
 
 #To get some nice output
 nice:
@@ -337,9 +352,9 @@ vlc-bundle: vlc
          done ; \
        fi
        cat $(top_srcdir)/po/LINGUAS | while read i; do \
-         mkdir -p "$(top_builddir)/vlc-bundle/locale/$$i/LC_MESSAGES" ; \
+         mkdir -p "$(top_builddir)/vlc-bundle/share/locale/$$i/LC_MESSAGES" ; \
          cp "$(top_builddir)/po/$$i.gmo" \
-           "$(top_builddir)/vlc-bundle/locale/$$i/LC_MESSAGES/vlc.mo" || true ; \
+           "$(top_builddir)/vlc-bundle/share/locale/$$i/LC_MESSAGES/vlc.mo" || true ; \
        done
        find $(top_builddir)/vlc-bundle -type f -exec mimeset -f "{}" \;
 endif
@@ -348,7 +363,7 @@ endif
 # Building aliases
 ###############################################################################
 
-ALL_ALIASES = cvlc rvlc svlc wxvlc qvlc nvlc
+ALL_ALIASES = cvlc rvlc svlc wxvlc qvlc nvlc mvlc
 bin_SCRIPTS = $(ALIASES)
 CLEANFILES += $(ALIASES) $(noinst_SCRIPTS)
 EXTRA_SCRIPTS = $(ALL_ALIASES)
@@ -357,34 +372,33 @@ dist_noinst_SCRIPTS += make-alias
 
 MKALIAS = bindir="$(bindir)" transform="$(transform)" program_prefix="$(program_prefix)" program_suffix="$(program_suffix)" $(top_srcdir)/make-alias $@
 
-cvlc: make-alias
+cvlc: make-alias Makefile
        $(MKALIAS) dummy
 
-rvlc: make-alias
+rvlc: make-alias Makefile
        $(MKALIAS) rc
 
-svlc: make-alias
+svlc: make-alias Makefile
        $(MKALIAS) skins2
 
-wxvlc: make-alias
+wxvlc: make-alias Makefile
        $(MKALIAS) wx
 
-qvlc: make-alias
+qvlc: make-alias Makefile
        $(MKALIAS) qt4
 
-nvlc: make-alias
+nvlc: make-alias Makefile
        $(MKALIAS) ncurses
 
+mvlc: make-alias Makefile
+       $(MKALIAS) maemo
+
 if BUILD_VLC
 noinst_SCRIPTS += vlc$(EXEEXT)
 endif
 
-vlc$(EXEEXT): Makefile.am
-       rm -f -- vlc vlc.tmp
-       echo '#! /bin/sh' > vlc.tmp
-       echo 'exec "$$(dirname "$$0")/src/vlc$(EXEEXT)" "--plugin-path=$$(dirname "$$0")/modules" "$$@"' >> vlc.tmp
-       chmod +x vlc.tmp
-       mv -f -- vlc.tmp vlc
+vlc$(EXEEXT):
+       ln -sf bin/vlc-static$(EXEEXT) vlc$(EXEEXT)
 
 if HAVE_DARWIN
 if BUILD_VLC
@@ -403,9 +417,10 @@ VLC-release.app: vlc
        for i in vlc.xcodeproj Resources README.MacOSX.rtf ; do \
          cp -R $(srcdir)/extras/package/macosx/$$i $(top_builddir)/tmp/extras/package/macosx/; \
        done
-       for i in  Resources Info.plist; do \
-         cp -R $(top_builddir)/extras/package/macosx/$$i $(top_builddir)/tmp/extras/package/macosx/; \
-       done
+       REVISION=`git describe --always` && \
+       cat $(top_builddir)/extras/package/macosx/Info.plist | \
+       sed "s/#REVISION#/$$REVISION/g" > $(top_builddir)/tmp/extras/package/macosx/Info.plist
+       cp -R $(top_builddir)/extras/package/macosx/Resources $(top_builddir)/tmp/extras/package/macosx/
        for i in AUTHORS COPYING THANKS; do \
          cp "$(srcdir)/$$i" $(top_builddir)/tmp; \
        done
@@ -442,7 +457,6 @@ VLC-release.app: vlc
            simple_prefs.h \
            simple_prefs.m \
            vout.h \
-           voutqt.m \
            voutgl.m \
            wizard.h \
            wizard.m \
@@ -468,7 +482,11 @@ VLC-release.app: vlc
                  $(top_builddir)/VLC-release.app; \
        rm -Rf $(top_builddir)/tmp
        $(INSTALL) -d $(top_builddir)/VLC-release.app/Contents/MacOS
-       ACTION="VLC-release.app" src_dir=$(srcdir) build_dir=$(top_builddir) sh $(srcdir)/projects/macosx/framework/Pre-Compile.sh
+       PRODUCT="VLC-release.app" ACTION="release-makefile" src_dir=$(srcdir) build_dir=$(top_builddir) sh $(srcdir)/projects/macosx/framework/Pre-Compile.sh
+       $(INSTALL) -d $(top_builddir)/VLC-release.app/Contents/MacOS/share/lua
+       for i in $(srcdir)/share/lua/*.* ; do \
+         $(INSTALL) -m 644 $${i} $(top_builddir)/VLC-release.app/Contents/MacOS/share/lua/`basename $${i}` ; \
+       done ; \
        $(INSTALL) -d $(top_builddir)/VLC-release.app/Contents/MacOS/share/lua/playlist
        for i in $(srcdir)/share/lua/playlist/*.* ; do \
          $(INSTALL) -m 644 $${i} $(top_builddir)/VLC-release.app/Contents/MacOS/share/lua/playlist/`basename $${i}` ; \
@@ -540,10 +558,10 @@ VLC-release.app: vlc
          $(INSTALL) -m 644 $${i} $(top_builddir)/VLC-release.app/Contents/MacOS/share/http/requests/`basename $${i}` ; \
        done
        $(INSTALL) -m 644 $(srcdir)/share/http/requests/readme $(top_builddir)/VLC-release.app/Contents/MacOS/share/http/requests/readme.txt
-       $(INSTALL) -d $(top_builddir)/VLC-release.app/Contents/MacOS/locale
+       $(INSTALL) -d $(top_builddir)/VLC-release.app/Contents/MacOS/share/locale
        cat $(top_srcdir)/po/LINGUAS | while read i; do \
-         mkdir -p $(top_builddir)/VLC-release.app/Contents/MacOS/locale/$${i}/LC_MESSAGES ; \
-         cp $(srcdir)/po/$${i}.gmo $(top_builddir)/VLC-release.app/Contents/MacOS/locale/$${i}/LC_MESSAGES/vlc.mo || true ; \
+         $(INSTALL) -d $(top_builddir)/VLC-release.app/Contents/MacOS/share/locale/$${i}/LC_MESSAGES ; \
+         $(INSTALL) $(srcdir)/po/$${i}.gmo $(top_builddir)/VLC-release.app/Contents/MacOS/share/locale/$${i}/LC_MESSAGES/vlc.mo || true ; \
          mkdir -p $(top_builddir)/VLC-release.app/Contents/Resources/$${i}.lproj ; \
          ln -sf ../English.lproj/InfoPlist.strings \
              $(top_builddir)/VLC-release.app/Contents/Resources/$${i}.lproj ; \
@@ -551,12 +569,14 @@ VLC-release.app: vlc
              $(top_builddir)/VLC-release.app/Contents/Resources/$${i}.lproj ; \
        done
        printf "APPLVLC#" >| $(top_builddir)/VLC-release.app/Contents/PkgInfo
+       find $(top_builddir)/VLC-release.app/Contents/Resources/English.lproj -name classes.nib -delete;
+       find $(top_builddir)/VLC-release.app/Contents/Resources/English.lproj -name info.nib -delete;
        find $(top_builddir)/VLC-release.app -type d -exec chmod ugo+rx '{}' \;
        find $(top_builddir)/VLC-release.app -type f -exec chmod ugo+r '{}' \;
 
 # This is just for development purposes. 
-# The resulting VLC.app will only in this tree.
-VLC.app: vlc 
+# The resulting VLC.app will only run in this tree.
+VLC.app: vlc $(top_builddir)/src/.libs/libvlccore.dylib $(top_builddir)/src/.libs/libvlc.dylib
        (cd src && make install)
        rm -Rf $(top_builddir)/tmp
        mkdir -p "$(top_builddir)/tmp/extras/package/macosx"
@@ -564,9 +584,10 @@ VLC.app: vlc
        for i in vlc.xcodeproj Resources README.MacOSX.rtf; do \
          cp -R $(srcdir)/extras/package/macosx/$$i $(top_builddir)/tmp/extras/package/macosx/; \
        done
-       for i in  Resources Info.plist; do \
-         cp -R $(top_builddir)/extras/package/macosx/$$i $(top_builddir)/tmp/extras/package/macosx/; \
-       done
+       REVISION=`git describe --always` && \
+       cat $(top_builddir)/extras/package/macosx/Info.plist | \
+       sed "s/#REVISION#/$$REVISION/g" > $(top_builddir)/tmp/extras/package/macosx/Info.plist
+       cp -R $(top_builddir)/extras/package/macosx/Resources $(top_builddir)/tmp/extras/package/macosx/
        for i in AUTHORS COPYING THANKS; do \
          cp "$(srcdir)/$$i" $(top_builddir)/tmp; \
        done
@@ -603,7 +624,6 @@ VLC.app: vlc
            simple_prefs.h \
            simple_prefs.m \
            vout.h \
-           voutqt.m \
            voutgl.m \
            wizard.h \
            wizard.m \
@@ -627,22 +647,19 @@ VLC.app: vlc
            cd ../../../../ && \
            cp -R $(top_builddir)/tmp/extras/package/macosx/build/Default/VLC.bundle \
                  $(top_builddir)/VLC.app
-       rm -Rf $(top_builddir)/tmp
        $(INSTALL) -d $(top_builddir)/VLC.app/Contents/MacOS
        touch $(top_builddir)/VLC.app/Contents/MacOS/VLC
        chmod +x $(top_builddir)/VLC.app/Contents/MacOS/VLC
-       $(INSTALL) $(top_builddir)/src/.libs/vlc $(top_builddir)/VLC.app/Contents/MacOS/VLC
-       $(INSTALL) -d $(top_builddir)/VLC.app/Contents/MacOS/modules
-       find modules/ -name '*_plugin$(LIBEXT)' | while read i; do \
-         if test -n "$$i" ; \
-          then ln -sfn "`pwd`/$$i" \
-                                  "$(top_builddir)/VLC.app/Contents/MacOS/modules" ; \
-         fi ; done && \
-       ln -sfn `pwd`/$(srcdir)/share $(top_builddir)/VLC.app/Contents/MacOS/
-       $(INSTALL) -d $(top_builddir)/VLC.app/Contents/MacOS/locale
+       $(INSTALL) $(top_builddir)/bin/.libs/vlc $(top_builddir)/VLC.app/Contents/MacOS/VLC
+       ln -sf ../../../modules $(top_builddir)/VLC.app/Contents/MacOS/modules
+       install -d $(top_builddir)/VLC.app/Contents/MacOS/share
+       for i in `ls $(srcdir)/share`; do \
+          ln -sf `pwd`/$(srcdir)/share/$$i $(top_builddir)/VLC.app/Contents/MacOS/share/; \
+       done
+       $(INSTALL) -d $(top_builddir)/VLC.app/Contents/MacOS/share/locale
        cat $(top_srcdir)/po/LINGUAS | while read i; do \
-         mkdir -p $(top_builddir)/VLC.app/Contents/MacOS/locale/$${i}/LC_MESSAGES ; \
-         ln -sfn `pwd`/$(srcdir)/po/$${i}.gmo $(top_builddir)/VLC.app/Contents/MacOS/locale/$${i}/LC_MESSAGES/vlc.mo || true ; \
+         mkdir -p $(top_builddir)/VLC.app/Contents/MacOS/share/locale/$${i}/LC_MESSAGES ; \
+         ln -sfn `pwd`/$(srcdir)/po/$${i}.gmo $(top_builddir)/VLC.app/Contents/MacOS/share/locale/$${i}/LC_MESSAGES/vlc.mo || true ; \
          mkdir -p $(top_builddir)/VLC.app/Contents/Resources/$${i}.lproj ; \
          ln -sf ../English.lproj/InfoPlist.strings \
              $(top_builddir)/VLC.app/Contents/Resources/$${i}.lproj ; \
@@ -659,184 +676,210 @@ VLC.app: vlc
 # the same setup as the maintaner(s).
 #
 
+############################################################################
+## Win                                                                    ##
+############################################################################
+win32_destdir=$(top_builddir)/vlc-$(VERSION)
+win32_debugdir=$(top_builddir)/symbols-$(VERSION)
+npvlc=vlc-$(VERSION)/mozilla/npvlc$(LIBEXT)
+axvlc=vlc-$(VERSION)/activex/axvlc$(LIBEXT)
+win32_lua_destdir=$(win32_destdir)/lua
+win32_http_destdir=$(win32_destdir)/http
+
 #Win-common if for win32 and wince
 package-win-common:
 # Check that tmp isn't in the way
-       @if test -e "$(top_builddir)/vlc-$(VERSION)"; then \
-         echo "Error: please remove $(top_builddir)/vlc-$(VERSION), it is in the way"; \
+       @if test -e "$(win32_destdir)"; then \
+         echo "Error: please remove $(win32_destdir), it is in the way"; \
          false; \
        else \
-         echo "OK."; mkdir -p "$(top_builddir)/vlc-$(VERSION)"; \
+         echo "OK."; mkdir -p "$(win32_destdir)"; \
        fi
 
 # Copy relevant files
 # Copy executables and libs
-       cp "$(top_builddir)/src/.libs/vlc$(EXEEXT)" "$(top_builddir)/vlc-$(VERSION)/"
-       cp "$(top_srcdir)/extras/package/win32/vlc.exe.manifest" "$(top_builddir)/vlc-$(VERSION)/"
-       cp "$(top_builddir)/src/.libs/libvlccore$(LIBEXT)" "vlc-$(VERSION)/"
-       cp "$(top_builddir)/src/.libs/libvlc$(LIBEXT)" "vlc-$(VERSION)/"
+       cp "$(top_builddir)/bin/.libs/vlc$(EXEEXT)" "$(win32_destdir)/"
+       cp "$(top_srcdir)/extras/package/win32/vlc.exe.manifest" "$(win32_destdir)/"
+               cp "$(top_srcdir)/extras/package/win32/libvlc.dll.manifest" "$(win32_destdir)/"
+       cp "$(top_builddir)/src/.libs/libvlccore$(LIBEXT)" "$(win32_destdir)/"
+       cp "$(top_builddir)/src/.libs/libvlc$(LIBEXT)" "$(win32_destdir)/"
 
 # Copy Text files
        for file in AUTHORS MAINTAINERS THANKS ; \
-         do sed 's/@/_AT_/' < "$(srcdir)/$$file" > "$(top_builddir)/vlc-$(VERSION)/$${file}.txt" ; done;
+         do sed 's/@/_AT_/' < "$(srcdir)/$$file" > "$(win32_destdir)/$${file}.txt" ; done;
        for file in NEWS COPYING README; \
-         do cp "$(srcdir)/$$file" "$(top_builddir)/vlc-$(VERSION)/$${file}.txt"; done
-       unix2dos "$(top_builddir)/vlc-$(VERSION)/"*.txt
+         do cp "$(srcdir)/$$file" "$(win32_destdir)/$${file}.txt"; done
+       unix2dos "$(win32_destdir)/"*.txt || echo "WARNING: this shouldn't happen"
 
 # Necessary icons
-       cp $(srcdir)/share/vlc48x48.ico $(top_builddir)/vlc-$(VERSION)/
+       cp $(srcdir)/share/vlc.ico $(win32_destdir)/
 
 # Copy the locales
-       mkdir -p $(top_builddir)/vlc-$(VERSION)/locale
+       mkdir -p $(win32_destdir)/locale
        cat $(top_srcdir)/po/LINGUAS | while read i; do \
-         mkdir -p "$(top_builddir)/vlc-$(VERSION)/locale/$${i}/LC_MESSAGES" ; \
+         mkdir -p "$(win32_destdir)/locale/$${i}/LC_MESSAGES" ; \
          cp "$(srcdir)/po/$${i}.gmo" \
-           "$(top_builddir)/vlc-$(VERSION)/locale/$${i}/LC_MESSAGES/vlc.mo" \
+           "$(win32_destdir)/locale/$${i}/LC_MESSAGES/vlc.mo" \
             || true ; \
        done
+       mkdir -p $(win32_destdir)/locale/qt4/
+       cp $(QT4LOCALEDIR)/*.qm $(win32_destdir)/locale/qt4/ || true
 
 #  Mozilla plugin
 if BUILD_MOZILLA
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/mozilla"
-       cp $(top_builddir)/projects/mozilla/.libs/npvlc$(LIBEXT) $(top_builddir)/vlc-$(VERSION)/mozilla/
+       mkdir -p "$(win32_destdir)/mozilla"
+       cp $(top_builddir)/projects/mozilla/.libs/npvlc$(LIBEXT) $(win32_destdir)/mozilla/
+       cp $(top_srcdir)/projects/mozilla/npvlc.dll.manifest $(win32_destdir)/mozilla/
 endif
 
 # ActiveX plugin
 if BUILD_ACTIVEX
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/activex"
-       cp $(srcdir)/projects/activex/README.TXT  $(top_builddir)/vlc-$(VERSION)/activex/
-       cp $(srcdir)/projects/activex/test.html  $(top_builddir)/vlc-$(VERSION)/activex/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/activex/*
+       mkdir -p "$(win32_destdir)/activex"
+       cp $(srcdir)/projects/activex/README.TXT  $(win32_destdir)/activex/
+       cp $(srcdir)/projects/activex/test.html  $(win32_destdir)/activex/
+       unix2dos $(win32_destdir)/activex/*
 
-       cp $(top_builddir)/projects/activex/.libs/axvlc$(LIBEXT) $(top_builddir)/vlc-$(VERSION)/activex/
+       cp $(top_builddir)/projects/activex/.libs/axvlc$(LIBEXT) $(win32_destdir)/activex/
+       cp $(top_srcdir)/projects/activex/axvlc.dll.manifest $(win32_destdir)/activex/
 endif
 
 # Rebase all those DLLs to speed up loading (need cygwin rebase)
        if rebase -b 0x42 /dev/null >/dev/null 2>&1; then \
-               find $(top_builddir)/vlc-$(VERSION) -type f -name '*.dll' -print | rebase -b 0x70000000 -T -; \
+               find $(win32_destdir) -type f -name '*.dll' -print | rebase -b 0x70000000 -T -; \
        fi
 
 package-win32-base-debug: package-win-common
 # Copy relevant files
 # Script installer
-       cp "$(top_builddir)/extras/package/win32/vlc.win32.nsi" "$(top_builddir)/vlc-$(VERSION)/"
+       cp "$(top_builddir)/extras/package/win32/vlc.win32.nsi" "$(win32_destdir)/"
+       mkdir "$(win32_destdir)/languages"
+       cp $(srcdir)/extras/package/win32/languages/*.nsh "$(win32_destdir)/languages/"
 
 # Plugins
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/plugins"
+       mkdir -p "$(win32_destdir)/plugins"
        find modules/ -name '*_plugin$(LIBEXT)' | while read i; do \
          if test -n "$$i" ; then \
            $(INSTALL) "$$i" "vlc-$(VERSION)/plugins/" ; \
          fi ; done
 
+# Contrib *.dll's
+       cp $(srcdir)/extras/contrib/lib/*.dll "vlc-$(VERSION)/" || true
+
 # Copy the lua scripts (HTTP)
 if BUILD_LUA
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/lua/http/images"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/lua/http/requests"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/lua/http/js"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/lua/http/dialogs"
-       cp $(srcdir)/share/lua/http/*.html $(top_builddir)/vlc-$(VERSION)/share/lua/http/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/lua/http/*.html
-       cp $(srcdir)/share/lua/http/.hosts $(top_builddir)/vlc-$(VERSION)/share/lua/http/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/lua/http/.hosts
-       cp $(srcdir)/share/lua/http/*.css $(top_builddir)/vlc-$(VERSION)/share/lua/http/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/lua/http/*.css
-       cp $(srcdir)/share/lua/http/js/*.js $(top_builddir)/vlc-$(VERSION)/share/lua/http/js/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/lua/http/js/*.js
-       cp $(srcdir)/share/lua/http/dialogs/* $(top_builddir)/vlc-$(VERSION)/share/lua/http/dialogs/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/lua/http/dialogs/*
-       cp $(srcdir)/share/lua/http/dialogs/.hosts $(top_builddir)/vlc-$(VERSION)/share/lua/http/dialogs/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/lua/http/dialogs/.hosts
-       cp $(srcdir)/share/lua/http/*.ico $(top_builddir)/vlc-$(VERSION)/share/lua/http/
-       cp $(srcdir)/share/lua/http/images/*.png $(top_builddir)/vlc-$(VERSION)/share/lua/http/images/
-       cp $(srcdir)/share/lua/http/requests/*.xml $(top_builddir)/vlc-$(VERSION)/share/lua/http/requests/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/lua/http/requests/*.xml
-       cp $(srcdir)/share/lua/http/requests/readme $(top_builddir)/vlc-$(VERSION)/share/lua/http/requests/readme.txt
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/lua/http/requests/readme.txt
+       mkdir -p "$(win32_lua_destdir)/http/images"
+       mkdir -p "$(win32_lua_destdir)/http/requests"
+       mkdir -p "$(win32_lua_destdir)/http/js"
+       mkdir -p "$(win32_lua_destdir)/http/dialogs"
+       cp $(srcdir)/share/lua/http/*.html $(win32_lua_destdir)/http/
+       unix2dos $(win32_lua_destdir)/http/*.html
+       cp $(srcdir)/share/lua/http/.hosts $(win32_lua_destdir)/http/
+       unix2dos $(win32_lua_destdir)/http/.hosts
+       cp $(srcdir)/share/lua/http/*.css $(win32_lua_destdir)/http/
+       unix2dos $(win32_lua_destdir)/http/*.css
+       cp $(srcdir)/share/lua/http/js/*.js $(win32_lua_destdir)/http/js/
+       unix2dos $(win32_lua_destdir)/http/js/*.js
+       cp $(srcdir)/share/lua/http/dialogs/* $(win32_lua_destdir)/http/dialogs/
+       unix2dos $(win32_lua_destdir)/http/dialogs/*
+       cp $(srcdir)/share/lua/http/dialogs/.hosts $(win32_lua_destdir)/http/dialogs/
+       unix2dos $(win32_lua_destdir)/http/dialogs/.hosts
+       cp $(srcdir)/share/lua/http/*.ico $(win32_lua_destdir)/http/
+       cp $(srcdir)/share/lua/http/images/*.png $(win32_lua_destdir)/http/images/
+       cp $(srcdir)/share/lua/http/requests/*.xml $(win32_lua_destdir)/http/requests/
+       unix2dos $(win32_lua_destdir)/http/requests/*.xml
+       cp $(srcdir)/share/lua/http/requests/readme $(win32_lua_destdir)/http/requests/readme.txt
+       unix2dos $(win32_lua_destdir)/http/requests/readme.txt
 endif
 
 if BUILD_LUA
 #Lua Scripts
-       $(INSTALL) -d $(top_builddir)/vlc-$(VERSION)/share/lua/playlist
+       $(INSTALL) -d $(win32_lua_destdir)
+       for i in $(srcdir)/share/lua/*.* ; do \
+         $(INSTALL) -m 644 -- "$${i}" $(win32_lua_destdir)/`basename $${i}` ; \
+       done
+       $(INSTALL) -d $(win32_lua_destdir)/playlist
        for i in $(srcdir)/share/lua/playlist/*.* ; do \
-         $(INSTALL) -m 644 -- "$${i}" $(top_builddir)/vlc-$(VERSION)/share/lua/playlist/`basename $${i}` ; \
+         $(INSTALL) -m 644 -- "$${i}" $(win32_lua_destdir)/playlist/`basename $${i}` ; \
        done
-       $(INSTALL) -d $(top_builddir)/vlc-$(VERSION)/share/lua/meta
+       $(INSTALL) -d $(win32_lua_destdir)/meta
        for i in $(srcdir)/share/lua/meta/*.* ; do \
-         $(INSTALL) -m 644 -- "$${i}" $(top_builddir)/vlc-$(VERSION)/share/lua/meta/`basename $${i}` ; \
+         $(INSTALL) -m 644 -- "$${i}" $(win32_lua_destdir)/meta/`basename $${i}` ; \
        done
-       $(INSTALL) -d $(top_builddir)/vlc-$(VERSION)/share/lua/intf
+       $(INSTALL) -d $(win32_lua_destdir)/intf
        for i in $(srcdir)/share/lua/intf/*.* ; do \
-         $(INSTALL) -m 644 -- "$${i}" $(top_builddir)/vlc-$(VERSION)/share/lua/intf/`basename $${i}` ; \
+         $(INSTALL) -m 644 -- "$${i}" $(win32_lua_destdir)/intf/`basename $${i}` ; \
        done
-       $(INSTALL) -d $(top_builddir)/vlc-$(VERSION)/share/lua/intf/modules
+       $(INSTALL) -d $(win32_lua_destdir)/intf/modules
        for i in $(srcdir)/share/lua/intf/modules/*.* ; do \
-         $(INSTALL) -m 644 -- "$${i}" $(top_builddir)/vlc-$(VERSION)/share/lua/intf/modules/`basename $${i}` ; \
+         $(INSTALL) -m 644 -- "$${i}" $(win32_lua_destdir)/intf/modules/`basename $${i}` ; \
        done
 endif
 
 # Copy the http files
 if BUILD_HTTPD
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/http/images"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/http/requests"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/http/js"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/http/dialogs"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/http/old"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/http/old/vlm"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/share/http/old/admin"
-       cp $(srcdir)/share/http/*.html $(top_builddir)/vlc-$(VERSION)/share/http/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/*.html
-       cp $(srcdir)/share/http/.hosts $(top_builddir)/vlc-$(VERSION)/share/http/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/.hosts
-       cp $(srcdir)/share/http/*.css $(top_builddir)/vlc-$(VERSION)/share/http/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/*.css
-       cp $(srcdir)/share/http/js/*.js $(top_builddir)/vlc-$(VERSION)/share/http/js/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/js/*.js
-       cp $(srcdir)/share/http/dialogs/* $(top_builddir)/vlc-$(VERSION)/share/http/dialogs/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/dialogs/*
-       cp $(srcdir)/share/http/dialogs/.hosts $(top_builddir)/vlc-$(VERSION)/share/http/dialogs/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/dialogs/.hosts
-       cp $(srcdir)/share/http/*.ico $(top_builddir)/vlc-$(VERSION)/share/http/
-       cp $(srcdir)/share/http/images/*.png $(top_builddir)/vlc-$(VERSION)/share/http/images/
-       cp $(srcdir)/share/http/requests/*.xml $(top_builddir)/vlc-$(VERSION)/share/http/requests/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/requests/*.xml
-       cp $(srcdir)/share/http/requests/readme $(top_builddir)/vlc-$(VERSION)/share/http/requests/readme.txt
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/requests/readme.txt
-
-       cp $(srcdir)/share/http/old/*.html $(top_builddir)/vlc-$(VERSION)/share/http/old/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/old/*.html
-       cp $(srcdir)/share/http/old/*.css $(top_builddir)/vlc-$(VERSION)/share/http/old/
-       cp $(srcdir)/share/http/old/.hosts $(top_builddir)/vlc-$(VERSION)/share/http/old/
-       cp $(srcdir)/share/http/old/*.png $(top_builddir)/vlc-$(VERSION)/share/http/old/
-       cp $(srcdir)/share/http/old/vlm/*.html $(top_builddir)/vlc-$(VERSION)/share/http/old/vlm/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/old/vlm/*.html
-       cp $(srcdir)/share/http/old/admin/*.html $(top_builddir)/vlc-$(VERSION)/share/http/old/admin/
-       unix2dos $(top_builddir)/vlc-$(VERSION)/share/http/old/admin/*.html
-       cp $(srcdir)/share/http/old/admin/.access $(top_builddir)/vlc-$(VERSION)/share/http/old/admin/
+       mkdir -p "$(win32_http_destdir)/images"
+       mkdir -p "$(win32_http_destdir)/requests"
+       mkdir -p "$(win32_http_destdir)/js"
+       mkdir -p "$(win32_http_destdir)/dialogs"
+       mkdir -p "$(win32_http_destdir)/old"
+       mkdir -p "$(win32_http_destdir)/old/vlm"
+       mkdir -p "$(win32_http_destdir)/old/admin"
+       cp $(srcdir)/share/http/*.html $(win32_http_destdir)/
+       unix2dos $(win32_http_destdir)/*.html
+       cp $(srcdir)/share/http/.hosts $(win32_http_destdir)/
+       unix2dos $(win32_http_destdir)/.hosts
+       cp $(srcdir)/share/http/*.css $(win32_http_destdir)/
+       unix2dos $(win32_http_destdir)/*.css
+       cp $(srcdir)/share/http/js/*.js $(win32_http_destdir)/js/
+       unix2dos $(win32_http_destdir)/js/*.js
+       cp $(srcdir)/share/http/dialogs/* $(win32_http_destdir)/dialogs/
+       unix2dos $(win32_http_destdir)/dialogs/*
+       cp $(srcdir)/share/http/dialogs/.hosts $(win32_http_destdir)/dialogs/
+       unix2dos $(win32_http_destdir)/dialogs/.hosts
+       cp $(srcdir)/share/http/*.ico $(win32_http_destdir)/
+       cp $(srcdir)/share/http/images/*.png $(win32_http_destdir)/images/
+       cp $(srcdir)/share/http/requests/*.xml $(win32_http_destdir)/requests/
+       unix2dos $(win32_http_destdir)/requests/*.xml
+       cp $(srcdir)/share/http/requests/readme $(win32_http_destdir)/requests/readme.txt
+       unix2dos $(win32_http_destdir)/requests/readme.txt
+
+       cp $(srcdir)/share/http/old/*.html $(win32_http_destdir)/old/
+       unix2dos $(win32_http_destdir)/old/*.html
+       cp $(srcdir)/share/http/old/*.css $(win32_http_destdir)/old/
+       cp $(srcdir)/share/http/old/.hosts $(win32_http_destdir)/old/
+       cp $(srcdir)/share/http/old/*.png $(win32_http_destdir)/old/
+       cp $(srcdir)/share/http/old/vlm/*.html $(win32_http_destdir)/old/vlm/
+       unix2dos $(win32_http_destdir)/old/vlm/*.html
+       cp $(srcdir)/share/http/old/admin/*.html $(win32_http_destdir)/old/admin/
+       unix2dos $(win32_http_destdir)/old/admin/*.html
+       cp $(srcdir)/share/http/old/admin/.access $(win32_http_destdir)/old/admin/
 endif
 
 if BUILD_SKINS
 # Skins
-       mkdir -p $(top_builddir)/vlc-$(VERSION)/skins/fonts
+       mkdir -p $(win32_destdir)/skins/fonts
        for i in $(srcdir)/share/skins2/fonts/*.*; do \
-         cp -- "$$i" $(top_builddir)/vlc-$(VERSION)/skins/fonts/ || true ; \
+         cp -- "$$i" $(win32_destdir)/skins/fonts/ || true ; \
        done
-       for i in $(srcdir)/share/skins2/*.*; do \
-         cp -- "$$i" $(top_builddir)/vlc-$(VERSION)/skins/ || true ; \
+       for i in $(top_builddir)/share/skins2/*.*; do \
+         cp -- "$$i" $(win32_destdir)/skins/ || true ; \
        done
+       cp -- $(srcdir)/share/skins2/skin.catalog $(win32_destdir)/skins/ || true ;
+       cp -- $(srcdir)/share/skins2/skin.dtd $(win32_destdir)/skins/ || true ;
 endif
 
 if BUILD_OSDMENU
 #OSD Menu
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/osdmenu"
-       cp $(srcdir)/share/osdmenu/*.* "$(top_builddir)/vlc-$(VERSION)/osdmenu"
-       for dir in dvd dvd/selected dvd/unselect dvd/selection dvd/volume default default/selected default/selection default/volume minimal;do \
-               mkdir -p "$(top_builddir)/vlc-$(VERSION)/osdmenu/$$dir"; \
-               for file in $(srcdir)/share/osdmenu/$${dir}/* ;do \
-                        cp -- "$$file" "$(top_builddir)/vlc-$(VERSION)/osdmenu/$$dir"; \
+       mkdir -p "$(win32_destdir)/osdmenu"
+       cp $(srcdir)/share/osdmenu/*.* "$(win32_destdir)/osdmenu"
+       for dir in default default/selected default/selection default/volume ;do \
+               mkdir -p "$(win32_destdir)/osdmenu/$$dir"; \
+               for file in $(srcdir)/share/osdmenu/$${dir}/*.png;do \
+                        cp -- "$$file" "$(win32_destdir)/osdmenu/$$dir"; \
                done; \
        done
-       unix2dos $(top_builddir)/vlc-$(VERSION)/osdmenu/*.cfg;
-       for file in $(top_builddir)/vlc-$(VERSION)/osdmenu/*.cfg; do \
+       unix2dos $(win32_destdir)/osdmenu/*.cfg;
+       for file in $(win32_destdir)/osdmenu/*.cfg; do \
                sed 's%share/osdmenu%osdmenu%g' "$$file" > "$$file.tmp" || exit $$? ; \
                sed 's%/%\\%g' "$$file.tmp" > "$$file" || exit$$? ; \
                rm -f -- "$$file.tmp"; \
@@ -844,8 +887,8 @@ if BUILD_OSDMENU
 endif
 
 # SDK
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/sdk.tmp"
-       mkdir -p "$(top_builddir)/vlc-$(VERSION)/sdk"
+       mkdir -p "$(win32_destdir)/sdk.tmp"
+       mkdir -p "$(win32_destdir)/sdk"
        d=$$(pwd) && \
        cd src && \
        make install DESTDIR="$$d/vlc-$(VERSION)/sdk.tmp"
@@ -853,23 +896,48 @@ endif
        find vlc-$(VERSION)/sdk.tmp -type d | sort -r | xargs rmdir
        rm -Rf vlc-$(VERSION)/sdk/bin
 
+#strip exe and main dll
 package-win-common-strip: package-win32-base-debug
-       $(STRIP) "vlc-$(VERSION)/vlc$(EXEEXT)"
-       $(STRIP) "vlc-$(VERSION)/libvlccore$(LIBEXT)"
-       $(STRIP) "vlc-$(VERSION)/libvlc$(LIBEXT)"
+       @if test -e "$(win32_debugdir)"; then \
+         echo "Error: please remove $(win32_debugdir), it is in the way"; \
+         false; \
+       else \
+         echo "OK."; mkdir -p "$(win32_debugdir)"; \
+       fi
+       for i in "" vlc-$(VERSION)/*$(LIBEXT) ; \
+      do if test -n "$$i" ; then \
+      $(OBJCOPY) --only-keep-debug "$$i" "$$i.dbg"; \
+      $(OBJCOPY) --strip-debug "$$i" ; \
+      $(OBJCOPY) --add-gnu-debuglink="$$i.dbg" "$$i" ; \
+         mv "$$i.dbg" "$(win32_debugdir)"; \
+    fi; done
+
 if BUILD_MOZILLA
-       $(STRIP) "vlc-$(VERSION)/mozilla/npvlc$(LIBEXT)"
+       $(OBJCOPY) --only-keep-debug "$(npvlc)" "$(npvlc).dbg"
+       $(OBJCOPY) --strip-debug "$(npvlc)"
+       $(OBJCOPY) --add-gnu-debuglink="$(npvlc).dbg" "$(npvlc)"
+       mv "$(npvlc).dbg" "$(win32_debugdir)"
 endif
 if BUILD_ACTIVEX
-       $(STRIP) "vlc-$(VERSION)/activex/axvlc$(LIBEXT)"
+       $(OBJCOPY) --only-keep-debug "$(axvlc)" "$(axvlc).dbg"
+       $(OBJCOPY) --strip-debug "$(axvlc)"
+       $(OBJCOPY) --add-gnu-debuglink="$(axvlc).dbg" "$(axvlc)"
+       mv "$(axvlc).dbg" "$(win32_debugdir)"
 endif
 
+#strip all plugins dll
 package-win32-base: package-win-common-strip
-       for i in "" $(top_builddir)/vlc-$(VERSION)/plugins/*$(LIBEXT) ; \
-         do if test -n "$$i" ; then $(STRIP) "$$i" ; fi ; done
+       for i in "" $(win32_destdir)/plugins/*$(LIBEXT) ; \
+         do if test -n "$$i" ; then \
+         $(OBJCOPY) --only-keep-debug "$$i" "$$i.dbg"; \
+         $(OBJCOPY) --strip-debug "$$i" ; \
+         $(OBJCOPY) --add-gnu-debuglink="$$i.dbg" "$$i" ; \
+         mv "$$i.dbg" "$(win32_debugdir)"; \
+       fi ; done
 
 package-win32-base-exe: package-win32-base
 # Create package
+       rm -Rf $(win32_destdir)/sdk
        if makensis -VERSION >/dev/null 2>&1; then \
            MAKENSIS="makensis"; \
        elif [ -x "/cygdrive/c/Program Files/NSIS/makensis" ]; then \
@@ -881,45 +949,55 @@ package-win32-base-exe: package-win32-base
        else \
            echo 'Error: cannot locate makensis tool'; exit 1; \
        fi; \
-       eval "$$MAKENSIS $(top_builddir)/vlc-$(VERSION)/vlc.win32.nsi"
-
-package-win32-base-exe-cygwin: package-win32-base-exe
-# Create package
-
-package-win32-base-exe-linux:
-# Create package
-       makensis $(top_builddir)/vlc-$(VERSION)/vlc.win32.nsi
+       eval "$$MAKENSIS $(win32_destdir)/vlc.win32.nsi"
 
 package-win32-base-zip: package-win32-base
 # Create package 
        rm -f -- vlc-$(VERSION)-win32.zip
        zip -r -9 vlc-$(VERSION)-win32.zip vlc-$(VERSION)
 
+package-win32-base-debug-zip: package-win32-base-debug
+# Create package
+       rm -f -- vlc-$(VERSION)-win32-debug.zip
+       zip -r -9 vlc-$(VERSION)-win32-debug.zip vlc-$(VERSION)
+
 package-win32-base-7zip: package-win32-base
 # Create package 
        7z a -t7z -m0=lzma -mx=9 -mfb=64 -md=32m -ms=on vlc-$(VERSION)-win32.7z vlc-$(VERSION)
 
+package-win32-base-debug-7zip: package-win32-base-debug
+# Create package
+       7z a -t7z -m0=lzma -mx=9 -mfb=64 -md=32m -ms=on vlc-$(VERSION)-win32-debug.7z vlc-$(VERSION)
+
 package-win32-exe: package-win32-base package-win32-base-exe
 # Clean up
-       rm -Rf $(top_builddir)/vlc-$(VERSION)
+       rm -Rf $(win32_destdir)
 
-package-win32-exe-linux: package-win32-base package-win32-base-exe-linux
+package-win32-zip: package-win32-base-zip
 # Clean up
-       rm -Rf $(top_builddir)/vlc-$(VERSION)
+       rm -Rf $(win32_destdir)
 
-package-win32-zip: package-win32-base-zip
+package-win32-debug-zip: package-win32-base-debug-zip
 # Clean up
-       rm -Rf $(top_builddir)/vlc-$(VERSION)
+       rm -Rf $(win32_destdir)
 
 package-win32-7zip: package-win32-base-7zip
 # Clean up
-       rm -Rf $(top_builddir)/vlc-$(VERSION)
+       rm -Rf $(win32_destdir)
 
-package-win32-no-clean: package-win32-base-exe package-win32-base-zip package-win32-base-7zip
+package-win32-debug-7zip: package-win32-base-debug-7zip
+# Clean up
+       rm -Rf $(win32_destdir)
+
+package-win32-no-clean: package-win32-base-zip package-win32-base-7zip package-win32-base-exe 
 
 package-win32: package-win32-no-clean
 # Clean up
-       rm -Rf $(top_builddir)/vlc-$(VERSION)
+       rm -Rf $(win32_destdir)
+
+package-win32-debug: package-win32-base-debug-zip package-win32-base-debug-7zip
+# Clean up
+       rm -Rf $(win32_destdir)
 
 package-wince-base: package-win-common package-win-common-strip
 
@@ -929,9 +1007,12 @@ package-wince-base-zip:
 
 package-wince: package-wince-base  package-wince-base-zip
 # Clean up
-       rm -Rf $(top_builddir)/vlc-$(VERSION)
+       rm -Rf $(win32_destdir)
 
 
+#####################################################################
+##   BeOS                                                          ##
+#####################################################################
 package-beos:
 # Check that tmp isn't in the way
        @if test -e $(srcdir)/tmp; then \
@@ -967,7 +1048,10 @@ package-beos:
 # Clean up
        rm -Rf $(srcdir)/tmp
 
-package-macosx:
+#########################################################################
+## MacOS X                                                             ##
+#########################################################################
+package-macosx: VLC-release.app ChangeLog
 # Check that the temporary location isn't in the way
        @if test -e "$(top_builddir)/vlc-$(VERSION)/"; then \
          rm -Rf "$(top_builddir)/vlc-$(VERSION)/" ; \
@@ -1035,7 +1119,7 @@ package-macosx:
 # Clean up
        rm -Rf "$(top_builddir)/vlc-$(VERSION)"
 
-package-macosx-zip:
+package-macosx-zip: VLC-release.app
        rm -Rf $(top_builddir)/vlc-$(VERSION)
        mkdir -p $(top_builddir)/vlc-$(VERSION)
        cp -R $(top_builddir)/VLC-release.app $(top_builddir)/vlc-$(VERSION)/VLC.app
@@ -1046,7 +1130,7 @@ package-macosx-zip:
        cp -R  $(srcdir)/extras/package/macosx/Delete_Preferences.app \
             $(top_builddir)/vlc-$(VERSION)/Goodies
        cp $(srcdir)/extras/package/macosx/README.MacOSX.rtf \
-          $(top_builddir)/vlc-$(VERSION)
+          $(top_builddir)/vlc-$(VERSION)/Read\ Me.rtf
        zip -r $(top_builddir)/vlc-$(VERSION).zip $(top_builddir)/vlc-$(VERSION)
        rm -Rf $(top_builddir)/vlc-$(VERSION)
 
@@ -1069,7 +1153,14 @@ if BUILD_MOZILLA
        mkdir -p "$(top_builddir)/macosx-plugin-instdata"
        cp -R "$(top_builddir)/projects/mozilla/VLC Plugin.plugin" "$(top_builddir)/macosx-plugin-instdata"
        rm -rf "$(top_builddir)/VLC Internet Plug-In.pkg"
-       PATH=/Developer/usr/bin:/Developer/Tools:$$PATH packagemaker -build -ds -p "$(top_builddir)/VLC Internet Plug-In.pkg" \
+       export PACKAGEMAKER=
+       if test -x /Developer/Tools/packagemaker; then \
+          export PACKAGEMAKER=/Developer/Tools/packagemaker; \
+       fi; \
+       if test -x /Developer/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker; then \
+          export PACKAGEMAKER=/Developer/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker; \
+       fi; \
+       $${PACKAGEMAKER} -build -ds -p "$(top_builddir)/VLC Internet Plug-In.pkg" \
        -f "$(top_builddir)/macosx-plugin-instdata" \
        -i "$(srcdir)/extras/package/macosx/plugin/InstallerInfo.plist" \
        -d "$(srcdir)/extras/package/macosx/plugin/InstallerDescription.plist"; true
@@ -1143,9 +1234,6 @@ update-po:
            | grep -v 'mux/rtp/' \
            | grep -v 'demux/rtpxiph.c' \
            | sort ; \
-         echo "#bindings" ; \
-            find bindings -name '*.[chm]' -o -name '*.[ch]pp' \
-            |sort ; \
        } > $(top_srcdir)/po/POTFILES.in
        rm -f $(top_srcdir)/po/vlc.pot
        cd po && $(MAKE) POTFILES vlc.pot update-po